# tns test

===========

Usage | Synopsis
--- | ---
General | `$ tns test <Platform>`

Runs unit tests on the selected mobile platform.

### Attributes

`<Platform>` is the target mobile platform on which you want to run the tests. You can set the following target platforms.

- `android` - Runs the tests in your project on connected Android devices or running native emulators.
- `ios` - Runs the tests in your project on connected iOS devices.

### Prerequisites

- Verify that you have configured your project for unit testing.
- Verify that you have stored your unit tests in `app/tests`.
- Verify that you have configured your system and devices properly.

### Related Commands

Command | Description
--- | ---
test init | Configures your project for unit testing with a selected framework.
test android | Runs the tests in your project on Android devices or native emulators.
test ios | Runs the tests in your project on iOS devices or the iOS Simulator.